JdoXmlMetadataSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jdo.JdoXmlMetadataSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jdo
Class JdoXmlMetadataSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.jdo.JdoXmlMetadataSubTask

All Implemented Interfaces:
  Serializable

public class JdoXmlMetadataSubTask
extends XmlSubTask

Generates the XML metadata for the JDO classes.

Version:
  $Revision: 1.11 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net), David Jencks (d_jencks@users.sourceforge.net)
See Also:
  Serialized Form
ant.element
  display-name="JDO XML MetaData" name="jdometadata" parent="xdoclet.modules.jdo.JdoDocletTask"
created
  June 11, 20012

Nested Class Summary
`static class` | `JdoXmlMetadataSubTask.GenerationOptionTypes`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JdoXmlMetadataSubTask()` Describe what the WebXmlSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`protected void` | `generateForPackage(xjavadoc.XPackage pkg)` Processed template for pkg and generates output file for pkg.
`protected String` | `getGeneratedFileName(xjavadoc.XPackage pak)` Returns class name for the generated file.
`String` | `getGeneration()`
`String` | `getJdoSpec()` Gets the Jdospec attribute of the JdoXmlSubTask object
`String` | `getProject()`
`protected boolean` | `isForceGenerationPerPackage()`
`protected boolean` | `isGenerationPerClass()`
`protected boolean` | `isGenerationPerPackage()`
`protected void` | `setForceGenerationPerPackage(boolean value)`
`void` | `setGeneration(JdoXmlMetadataSubTask.GenerationOptionTypes value)`
`void` | `setJdoSpec(JdoDocletTask.JdoSpecVersion jdoSpec)` Sets the Jdospec attribute of the JdoXmlSubTask object
`void` | `setProject(String project)`
`void` | `startProcess()` Describe what the method does
`protected void` | `startProcessPerPackage()`
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdoXmlMetadataSubTask

    public JdoXmlMetadataSubTask()

  Describe what the WebXmlSubTask constructor does

Method Detail

### getJdoSpec

    public String getJdoSpec()

  Gets the Jdospec attribute of the JdoXmlSubTask object

  Returns:
    The Jdospec value

### getGeneration

    public String getGeneration()

### getProject

    public String getProject()

### setProject

    public void setProject(String project)

### setGeneration

    public void setGeneration(JdoXmlMetadataSubTask.GenerationOptionTypes value)

### setJdoSpec

    public void setJdoSpec(JdoDocletTask.JdoSpecVersion jdoSpec)

  Sets the Jdospec attribute of the JdoXmlSubTask object

  Parameters:
    `jdoSpec` - The new Jdospec value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### startProcess

    public void startProcess()
                      throws XDocletException

  Description copied from class: `XmlSubTask`
  Describe what the method does

  Overrides:
    `startProcess` in class `XmlSubTask`
  Throws:
    `XDocletException` - Describe the exception

### isForceGenerationPerPackage

    protected boolean isForceGenerationPerPackage()

### isGenerationPerClass

    protected boolean isGenerationPerClass()

  Returns:
  To do:
    make isGenerationPerClass() in TemplateSubTask protected

### isGenerationPerPackage

    protected boolean isGenerationPerPackage()

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XPackage pak)
                                   throws XDocletException

  Returns class name for the generated file. {0} substituted by package name.

  Parameters:
    `pak` -
  Returns:
    The GeneratedClassName value
  Throws:
    `XDocletException` - Description of Exception

### setForceGenerationPerPackage

    protected void setForceGenerationPerPackage(boolean value)

### startProcessPerPackage

    protected void startProcessPerPackage()
                                   throws XDocletException

  Throws:
    `XDocletException`

### generateForPackage

    protected void generateForPackage(xjavadoc.XPackage pkg)
                               throws XDocletException

  Processed template for pkg and generates output file for pkg.

  Parameters:
    `pkg` - Description of Parameter
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD